aboutsummaryrefslogtreecommitdiff
path: root/devel/linux_devtools/pkg-install
diff options
context:
space:
mode:
authorTrevor Johnson <trevor@FreeBSD.org>2003-10-12 05:47:42 +0000
committerTrevor Johnson <trevor@FreeBSD.org>2003-10-12 05:47:42 +0000
commit6c7f7bf1021a8cbe76763363f6be454785ebd43b (patch)
treec7ad7f70dac89eb9fac358cad1318da926028c31 /devel/linux_devtools/pkg-install
parentae9332a8b231e8195beb19daadf283b2a7ebd6ea (diff)
Notes
Diffstat (limited to 'devel/linux_devtools/pkg-install')
-rw-r--r--devel/linux_devtools/pkg-install18
1 files changed, 18 insertions, 0 deletions
diff --git a/devel/linux_devtools/pkg-install b/devel/linux_devtools/pkg-install
new file mode 100644
index 000000000000..43cdb121f0c4
--- /dev/null
+++ b/devel/linux_devtools/pkg-install
@@ -0,0 +1,18 @@
+#!/bin/sh
+# installation script for linux_devtools
+
+case "$2" in
+PRE-INSTALL)
+ if [ -z "`kldstat -v | grep -E 'linux(aout|elf)'`" ]; then
+ echo 'Linux mode is not enabled.'
+ echo 'Loading Linux kernel module now...'
+ if ! kldload linux; then
+ echo 'The Linux kernel module could not be loaded.'
+ echo 'Please enable Linux mode manually and retry.'
+ exit 1
+ fi
+ fi
+ ;;
+esac
+
+exit 0